class ActiveRecord::Coders::Compressors::Base

  class << self
    attr_accessor :load, :dump

    def compress_with
      yield self
    end
  end

  def dump(data)
    self.class.dump.call(data) if data
  end

  def load(data)
    self.class.load.call(data) if data
  end
end
