module ActiveRecord::Coders::Compressors
  class Gzip < Base

    compress_with do |c|
      c.load = ->(data){ ::Zlib::Inflate.inflate(data) }
      c.dump = ->(data){ ::Zlib::Deflate.deflate(data) }
    end
  end
end
